## AgsOscExportController

AgsOscExportController — OSC export controller

## Stability Level

Stable, unless otherwise indicated

## Functions

gpointer | ags_osc_export_controller_do_export ()
AgsOscExportController * | ags_osc_export_controller_new ()

## Signals

gpointer | do-export | Run Last

## Object Hierarchy

        GObject
        ╰── AgsOscController
            ╰── AgsOscExportController

## Includes

    #include <ags/audio/osc/controller/ags_osc_export_controller.h>

## Description

The AgsOscExportController implements the OSC export controller.

## Functions

### ags_osc_export_controller_do_export ()

    gpointer
    ags_osc_export_controller_do_export (AgsOscExportController *osc_export_controller,
                                         AgsOscConnection *osc_connection,
                                         guchar *message,
                                         guint message_size);

Run export.

#### Parameters

osc_export_controller | the AgsOscExportController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |

#### Returns

the GList containing AgsOscResponse

Since: 3.0.0

### ags_osc_export_controller_new ()

    AgsOscExportController *
    ags_osc_export_controller_new ();

Instantiate new AgsOscExportController

#### Returns

the AgsOscExportController

Since: 3.0.0

## Signal Details

### The `“do-export”` signal

    gpointer
    user_function (AgsOscExportController *osc_export_controller,
                   GObject                *osc_connection,
                   gpointer                message,
                   guint                   message_size,
                   gpointer                user_data)

The ::do-export signal is emited during get data of export controller.

#### Parameters

osc_export_controller | the AgsOscExportController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |
user_data | user data set when the signal handler was connected. |

#### Returns

the AgsOscResponse

Flags: Run Last

Since: 3.0.0